Bug 120867 - First file save after opening slower compared to previous versions
Summary: First file save after opening slower compared to previous versions
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Save
  Show dependency treegraph
 
Reported: 2018-10-24 10:10 UTC by Telesto
Modified: 2021-09-05 04:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-24 10:10:49 UTC
Description:
First file save after opening slower compared to previous versions

Steps to Reproduce:
1. Open attachment 145964 [details]
2. Press Save -> Monitor time taken. Only happening on the first save after file-opening

Actual Results:
15 seconds with 6.2
10 seconds with 5.4

Expected Results:
10 seconds


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: 0378bfcea51ff0f379d0954aa6740f1829909dc3
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-24_00:14:48
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Xisco Faulí 2019-01-15 15:30:02 UTC
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 2 QA Administrators 2019-08-03 03:06:48 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-09-03 16:12:41 UTC Comment hidden (obsolete)
Comment 4 Alex Thurgood 2019-09-04 10:18:12 UTC
Unfortunately, still the case with latest master (own build).

The same applies to the first selection of a file to load via the Finder using Cmd-O.
Comment 5 Alex Thurgood 2019-09-04 10:21:35 UTC
Tested against 

Version: 6.4.0.0.alpha0+
Build ID: e04b6f3c0cdacf2a3cdcd3f34bad54c8764ff1ed
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-09-05 11:32:39 UTC
@Telesto, is it possible to bisect this issue...
Comment 7 QA Administrators 2021-09-05 04:35:41 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug